From 1abfea55df24e83c2ea321b5f2b75e1a58963bc6 Mon Sep 17 00:00:00 2001
From: Andreas Schneider <asn@cryptomilk.org>
Date: Wed, 24 Oct 2018 16:33:39 +0200
Subject: cmake: Fix doxygen generation

Fixes #12

Signed-off-by: Andreas Schneider <asn@cryptomilk.org>
---
 CMakeLists.txt     | 2 +-
 doc/CMakeLists.txt | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 88408a9..7778039 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -51,9 +51,9 @@ if (MINGW)
 endif (MINGW)
 
 # check subdirectories
-add_subdirectory(doc)
 add_subdirectory(include)
 add_subdirectory(src)
+add_subdirectory(doc)
 
 include(AddCMockaTest)
 if (UNIT_TESTING)
diff --git a/doc/CMakeLists.txt b/doc/CMakeLists.txt
index a7bc65e..6ac7494 100644
--- a/doc/CMakeLists.txt
+++ b/doc/CMakeLists.txt
@@ -38,7 +38,7 @@ if (DOXYGEN_FOUND)
 
     doxygen_add_docs(docs
                      ${cmocka-library_SOURCE_DIR}
-                     ${cmocka-headers_SOURCE_DIR}
+                     ${cmocka-header_SOURCE_DIR}
                      ${CMAKE_CURRENT_SOURCE_DIR})
 endif(DOXYGEN_FOUND)
 
-- 
cgit v1.2.1
